ControlPluginAdd_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.control.agent.commands.ControlPluginAdd_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control.agent.commands
Class ControlPluginAdd_args

    java.lang.Object
      org.hyperic.hq.agent.AgentRemoteValue
          org.hyperic.hq.control.agent.commands.ControlPluginAdd_args

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, GenericValueMap

    public class ControlPluginAdd_args

extends AgentRemoteValue

See Also:
  Serialized Form

Constructor Summary
`ControlPluginAdd_args()`
`ControlPluginAdd_args(AgentRemoteValue args)`

Method Summary
`ConfigResponse` | `getConfigResponse()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `setConfig(java.lang.String name, java.lang.String type, ConfigResponse config)`

Methods inherited from class org.hyperic.hq.agent.AgentRemoteValue
`fromStream, getKeys, getValue, getValueAsDouble, getValueAsInt, getValueAsLong, readExternal, setValue, toStream, toString, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlPluginAdd_args

    public ControlPluginAdd_args()

### ControlPluginAdd_args

    public ControlPluginAdd_args(AgentRemoteValue args)
                          throws AgentRemoteException

Throws:
  `AgentRemoteException`

Method Detail

### setConfig

    public void setConfig(java.lang.String name,
                          java.lang.String type,
                          ConfigResponse config)
                   throws AgentRemoteException

  Throws:
    `AgentRemoteException`

### getConfigResponse

    public ConfigResponse getConfigResponse()
                                     throws AgentRemoteException

  Throws:
    `AgentRemoteException`

### getType

    public java.lang.String getType()

### getName

    public java.lang.String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.